Subject: Re: [MOBILE-IP] RFC2344bis support of Dynamic Home Agent Assignment

From: Yingchun Xu <[email-masked]>
Date: Wed, 23 Feb 2000 22:26:07 -0600

Hi, Gabriel,
It seems that you forget to make the change in section 5.1.2 and 5.2.2 for
dynamic home agent assignment.
The orginal text:

"IP Destination Address

         Copied from the Home Agent field within the Registration
                  Request."

should be:

"IP Destination Address

         Copied from the Home Agent field within the Registration
                  Reply."

--Yingchun.

Gabriel Montenegro <[email-masked]> on 11/11/99 10:02:30 AM

Please respond to [email-masked]

Sent by:  Gabriel Montenegro <[email-masked]>

To:   [email-masked]
cc:    (Yingchun Xu/MW/US/3Com)
Subject:  Re: [MOBILE-IP] Dynamic Home Agent Assignment

good point. we can use language similar to what rfc2344 already has
for the short MN->FA tunnel in the encapsulated delivery style:

        The address of the agent as learned from the IP source
        address of the agent's most recent registration reply.

i suggest modifying the above very slightly (one word added) as
follows and to use it for reverse tunnels as well:

        The address of the agent as learned from the IP source
        address of the agent's most recent successful  registration
        reply.

the question is: should i produce an rfc2004version2 with the above
changes? any other tweaks needed for 2344?

phil? raj?

-gabriel

>In draft-ietf-mobileip-home-addr-alloc-00.txt, dynamic home agent function is
>described. It seems that this function break the reverse tunneling function as
>specified in RFC2344.
>
>In RFC2344, IP destination address is copied from  the Home Agent field within
>the Registration Request.
>
>In order to support dynamic Home Agent assignment, the IP destination address
>of
>a reverse tunneling IP packet has to be copied from the Home Agent field within
>the Registration Reply (Of course, the registration has to be successful).
>
>It seems a modification to RFC2344 is required to  support dynamic Home Agent
>assignment. Any comments?
>
>
>--Yingchun.

---

From: Gabriel Montenegro <[email-masked]>
Date: Thu, 24 Feb 2000 11:09:57 -0800

>          Copied from the Home Agent field within the Registration

i did not forget, but had interpreted the included msg below from raj to
mean that this particular change was not warranted. but since we're modifying
2344 for private addresses already, it would make sense to put this very slight
change in, specially as it brings things more in line with existing text
on encapsulating delivery style:

section 5.2.2, for the packet format between MN->FA:

      IP Destination Address

         The address of the agent as learned from the IP source address
         of the agent's most recent registration reply.

i propose to add "successful" to the above and use this:

         The address of the agent as learned from the IP source address
         of the agent's most recent successful registration reply.
                                    ^^^^^^^^^^

as for the text you're concerned with in 5.1.2 and 5.2.2, i propose this
for the header between FA->HA (add "successful" to your suggestion):

      IP Destination Address

         Copied from the Home Agent field within the most recent
         successful Registration Reply.
         ^^^^^^^^^^^

if there are no objections, i will make these very slight changes to
rfc2344bis before adelaide. this does seem like a safer way of doing things,
and since we were already doing it this way for the MN->FA in section 5.2.2,
i bet not doing so for the FA->HA headers in 5.1.2 and 5.2.2 was just an oversight.

tnx,

-gabriel

--------------------------------------------------------------------
Date: Tue, 16 Nov 1999 22:41:17 -0600
From: "Basavaraj Patil" <[email-masked]>
Subject: Re: [MOBILE-IP] Dynamic Home Agent Assignment
To: [email-masked]

>> Have you get any words from chairs how to resolve the issue? We need
>> this since the "Dynamic Home Agent Assignment" feature is one of the
>> requirement for cdma2000 network. This is definitely a requirement
>> when reverse tunneling becomes mandatory.

>i have had some private conversations with the chairs that lead me
>to believe that the slight changes required in rfc2344 would be
>ok to do. i sent the query last week hoping they would reply
>and make public their opinion.
>
>raj? phil?
>
>-gabriel

>>>In draft-ietf-mobileip-home-addr-alloc-00.txt, dynamic home agent
>>>function is described. It seems that this function break the reverse
>>>tunneling function as specified in RFC2344.

First of all I need to clarify that this I-D is currently not a WG
document. Dynamic Home agent assignment can be done many ways and I do
not believe it needs to be specified by the Mobile IP protocol.

In view of the consensus that the WG arrived regarding how we address
the issue of mobile nodes with private addresses, I believe an update
to RFC2344 describing the solution is sufficient. I do not think there
is enough justification to write another I-D to specifically include
this solution. The solution is an addendum to RFC2344 and can be
mentioned as a reference in the new Mobile IP for IPv4 I-D which will
become a proposed standard at some point soon.

-Basavaraj